aboutsummaryrefslogtreecommitdiff
path: root/x11
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-03 20:19:17 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-03 20:19:17 +0000
commitd1fd265744635eb019548139a16c277368467a2e (patch)
tree5593a8ef32299c96155435e9a88db94a1fcc37e2 /x11
parent7b435b9e24bdc4e027adb9fa66d2de0b58202e05 (diff)
downloadslackbuilds-d1fd265744635eb019548139a16c277368467a2e.tar.gz
slackbuilds-d1fd265744635eb019548139a16c277368467a2e.tar.bz2
moved wxWidgets to the right place
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@748 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'x11')
-rwxr-xr-xx11/libs/wxwidgets/wxWidgets.SlackBuild127
1 files changed, 127 insertions, 0 deletions
diff --git a/x11/libs/wxwidgets/wxWidgets.SlackBuild b/x11/libs/wxwidgets/wxWidgets.SlackBuild
new file mode 100755
index 00000000..41722f9a
--- /dev/null
+++ b/x11/libs/wxwidgets/wxWidgets.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+#
+# slackbuild script for wxWidgets
+# by rafael at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building wxWidgets are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="wxWidgets"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.6.3}
+BUILD=${BUILD:=1rd}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://heanet.dl.sourceforge.net/sourceforge/wxwindows/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-docdir=/usr/doc/$PACKAGE-$VERSION --enable-unicode --enable-config || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+# make clean
+# ./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-docdir=/usr/doc/$PACKAGE-$VERSION --enable-config || exit $ERROR_CONF
+# make || exit $ERROR_MAKE
+# make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# do we really need that??
+# ( cd usr/bin && rm wx-config )
+# ( cd usr/bin && ln -sf $LIBDIR/wx/config/gtk2-unicode-release-2.6 wx-config )
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+wxWidgets: wxWidgets (WxWidgets is a library to write portable GUI code)
+wxWidgets:
+wxWidgets: wxWidgets lets developers create applications for Win32, Mac OS X,
+wxWidgets: GTK+, X11, Motif, WinCE, and more using one codebase. It can be used
+wxWidgets: from languages such as C++, Python, Perl, and C#/.NET. Unlike other
+wxWidgets: cross-platform toolkits, wxWidgets applications look and feel native.
+wxWidgets: This is because wxWidgets uses the platform's own native controls
+wxWidgets: rather than emulating them. It's also extensive, free, open-source,
+wxWidgets: and mature.
+wxWidgets: http://www.wxwidgets.org/
+wxWidgets:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in CHANGES.txt COPYING.LIB INSTALL-MAC.txt INSTALL-MGL.txt INSTALL-MOTIF.txt INSTALL-OS2.txt INSTALL-X11.txt LICENCE.txt README.txt;do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+